• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Does Xenforo...work with unreleased PHP 5.5.0-dev?

Digital Doctor

Well-known member
#2
I wasn't able to find the requirements in the xenforo manual.
But I did find them here:
http://xenforo.com/purchase/

XenForo System Requirements
PHP: 5.2.4+
MySQL: 5.0+
PHP extensions: MySQLi, GD (with JPEG support), PCRE, SPL, SimpleXML, DOM, JSON, iconv, ctype
PHP safe_mode off
Maybe some reports from the field with actual usage data will find their way to this thread.
 
#10
It's PHP Version 5.5 and XenForo Doesn't support it, I can't have a forum until XenForo works with PHP 5.5 Because my webhost is a tight *******.
www.zeale.net
(And that's not me being mean that's the website host :/)
 

Digital Doctor

Well-known member
#13
Since 5.5 is on beta, it probably doesn't support it officially until 5.5 goes stable.
Where is 5.5 beta ?


More than likely, the only reason i stick with the host now his because he's has amazingly fast server's and reliability, and thanks guy's!
I think the servers are fast because they aren't being used due to very weird php requirements. Good news: I bet they will be fast for a long time.
 

Hoffi

Well-known member
#14
Where do you get PHP 5.5? Over at PHP.net is 5.4 Beta avaiable, and 5.3.8 is stable.

If your Host supports only PHP 5.5 - he maybe hosts the future. Ask him if XF1.5 will run with PHP 5.5
 

ENF

Well-known member
#20
Well, there is a confirmed development version. Here.

But it's not something that should be running on a production or public facing site.